# ChatGenerationParamsMaxPrice

The object specifying the maximum price you want to pay for this request. USD price per million tokens, for prompt and completion.


## Fields

| Field              | Type               | Required           | Description        |
| ------------------ | ------------------ | ------------------ | ------------------ |
| `prompt`           | *Optional[Any]*    | :heavy_minus_sign: | N/A                |
| `completion`       | *Optional[Any]*    | :heavy_minus_sign: | N/A                |
| `image`            | *Optional[Any]*    | :heavy_minus_sign: | N/A                |
| `audio`            | *Optional[Any]*    | :heavy_minus_sign: | N/A                |
| `request`          | *Optional[Any]*    | :heavy_minus_sign: | N/A                |